# Uses of Enum
org.jboss.logmanager.handlers.SyslogHandler.SyslogType

Packages that use SyslogHandler.SyslogType
Package
Description
org.jboss.logmanager.handlers

## Uses of SyslogHandler.SyslogType in org.jboss.logmanager.handlers

Methods in org.jboss.logmanager.handlers that return SyslogHandler.SyslogType
Modifier and Type
Method
Description
`SyslogHandler.SyslogType`
SyslogHandler.`getSyslogType()`
Returns the `syslog type` this handler is using to format the message sent.
`static SyslogHandler.SyslogType`
SyslogHandler.SyslogType.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static SyslogHandler.SyslogType[]`
SyslogHandler.SyslogType.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.jboss.logmanager.handlers with parameters of type SyslogHandler.SyslogType
Modifier and Type
Method
Description
`void`
SyslogHandler.`setSyslogType(SyslogHandler.SyslogType syslogType)`
Set the `syslog type` this handler should use to format the message sent.
Constructors in org.jboss.logmanager.handlers with parameters of type SyslogHandler.SyslogType
Modifier
Constructor
Description
``
`SyslogHandler(String serverHostname, int port, SyslogHandler.Facility facility, SyslogHandler.SyslogType syslogType, String hostname)`
Creates a new syslog handler that sends the messages to the server represented by the `serverAddress` parameter on the port represented by the `port` parameter.
``
`SyslogHandler(String serverHostname, int port, SyslogHandler.Facility facility, SyslogHandler.SyslogType syslogType, SyslogHandler.Protocol protocol, String hostname)`
Creates a new syslog handler that sends the messages to the server represented by the `serverAddress` parameter on the port represented by the `port` parameter.
``
`SyslogHandler(InetAddress serverAddress, int port, SyslogHandler.Facility facility, SyslogHandler.SyslogType syslogType, String hostname)`
Creates a new syslog handler that sends the messages to the server represented by the `serverAddress` parameter on the port represented by the `port` parameter.
``
`SyslogHandler(InetAddress serverAddress, int port, SyslogHandler.Facility facility, SyslogHandler.SyslogType syslogType, SyslogHandler.Protocol protocol, String hostname)`
Creates a new syslog handler that sends the messages to the server represented by the `serverAddress` parameter on the port represented by the `port` parameter.